Subject: Re: pci-x

From: Carlos Mitidieri <[email-masked]>
Date: Fri, 24 Mar 2006 12:21:44 +0100

On Thursday 23 March 2006 16:41, Kumar Gala wrote:
> > Is there PCI-X support for the mpc8540ads?
>
> Yes.  You have to make sure the board is setup (switches in the right
> place) properly for it.

Thank you for answering.

Looking the manuals and schematics,  I have changed the "config" switch in 
SW1, and now the PCI-X support is activated in the kernel at the system 
initialization. Nevertheless,  when I plug a bridge board to the slot 0, I 
get the following messages:

PCI: Probing PCI hardware
PCI: Cannot allocate resource region 1 of PCI bridge 1
PCI: bridge 1 resource 1 moved to 9ff00000..9fffffff
PCI: Cannot allocate resource region 2 of PCI bridge 1
PCI: bridge 1 resource 2 moved to 9fe00000..9fefffff

Would you guess that this is a driver problem, or that my board setup is still 
incorrect?

-- 
Carlos Mitidieri
SYSGO AG - Office Ulm